api reference

Rotate Tool Secret

POST
/v1/agents/{agent_id}/rotate-tool-secret

Path Parameters

agent_id*Agent Id
Formatuuid

Header Parameters

authorization?string|null

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-tool-secret"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "name": "string",  "system_prompt": "string",  "first_message": "string",  "recording_enabled": true,  "ai_disclosure": true,  "ai_disclosure_line": "string",  "voice_config": {},  "tools": [    "string"  ],  "max_duration_seconds": 0,  "handover_max_duration_seconds": 0,  "voice_enabled": true,  "sms_enabled": true,  "email_enabled": true,  "status": "live",  "handover_contacts": [    {      "contact_id": "string",      "name": "string",      "phone_e164": "string",      "note": "string"    }  ],  "http_tools": [    {      "name": "string",      "description": "string",      "url": "string",      "parameters": {},      "header_names": [        "string"      ],      "timeout_seconds": 0,      "wait_message": "string"    }  ],  "http_tool_secret": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}